Skip to Content
Documentation
API Documentation
Our API documentation and how to authorize towards Mammotion Open APIs.
API illustration

Get Device Informations

This page will show you how to Get the list of devices associated with the account and get the specified device informations.

Get Device Lists

curl --location 'https://api-open.mammotion.com/v1/mowers' \ --header 'Authorization: Bearer ${access_token}'

Example response:

{ "code": 0, // 0 means request success "msg": "Request success", // when code not equals 0, this message will show the error message "data": [ { "id": "4DMCTo********e90u5oV4", // deviceId "name": "Yuka-MV27***3", // device Name "nickname": "My Mower", // device nickname "model": "YUKA mini Vision 800", "icon": "https://mdn.mammotion.com/********043520.PNG", "online": 1 // 0 offline, 1 online } ] }

Get Device Informations

curl --location 'https://api-open.mammotion.com/v1/mower/{deviceId}' \ --header 'Authorization: Bearer ${access_token}'

Example response:

{ "code": 0, // 0 means request success "msg": "Request success", // when code not equals 0, this message will show the error message "data": [ { "id": "4DMCTo********e90u5oV4", // deviceId "name": "Yuka-MV27***3", // device Name "nickname": "My Mower", // device nickname "model": "YUKA mini Vision 800", "icon": "https://mdn.mammotion.com/********043520.PNG", "online": 1, // 0 offline, 1 online "version": "1.2.3.4", // firmware version of the device "status": "Standby", // device status "batteryLevel": 56, // battery level "coordinate": { "lon": 700.15442644, "lat": 1279.41475798 }, // gps, longtitude and latitude "network": { "usedNetwork": "1", // 1 wifi, 2 cellular "wifiAvailable": true, // wifi available "wifiRssi": -46, // wifi signal strength "cellularAvailable": true, // cellular network available "cellularRssi": -46 // cellular network signal strength } } ] }
Last updated on
Logo
Mammotion Developer
2026 @MAMMOTION Technology